/**
 * FabAcademy 2016 - Xavi Dominguez
 *
 * Embeded Programming: Blinking LED
 *
 * file: main.c
 * created: 2016-04-10
 *
 **/
 
#include <avr/io.h>
#include <util/delay.h>
 
// ====================================
//                ATtiny 44
//               
//              +--------+
//            --+Vcc GND +------------
//  				  --+        +--
//  				  --+        +--
//  LED - PA7 --+     +--
//              +--------+
// ====================================
 
// Define the I/O port to be used for the LED.
// This a number between 0 and 7 that tells which bit to use.
// View in Datasheet

#define LED_PORT PA7


int main(void) {
 
    // Set the LED port number as output.
    // The DDRA is the data direction for port A.
   
    DDRA |= (1 << LED_PORT); // LED PORT AS OUTPUT
 
    // Start infinite loop.
    // (this is how most programs work)
    while (1) {
 
        // Set the LED bit to "1" - LED will be "on".
        PORTA |= (1 << LED_PORT);
 
        // Wait a little.
        // The delay function simply does N-number of "empty" loops.
        _delay_ms(200);
 
        // Set the LED bit to "0" - LED will be "off".
        PORTA &= ~(1 << LED_PORT);
 
        // Wait a little.
        _delay_ms(400);
 
        // Do it again ...
    }
 
    // Return the mandatory for the "main" function value.
    return (0);
}